Latest 1.0.5
Homepage https://github.com/Digipolitan/idylle-client-swift
License BSD
Platforms ios 8.0, watchos 2.0, tvos 9.0, osx 10.10, requires ARC

Swift Version
Build Status
CocoaPods Compatible
Carthage Compatible
Swift Package Manager Compatible
Platform
Twitter

Idylle client swift is an Helper to communicate with a server side base on Idylle

Installation

CocoaPods

To install IdylleClient with CocoaPods, add the following lines to your Podfile.

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '9.0'
use_frameworks!

pod 'IdylleClient'

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate IdylleClient into your Xcode project using Carthage, specify it in your Cartfile:

github 'Digipolitan/idylle-client-swift' ~> 1.0

Run carthage update to build the framework and drag the built IdylleClient.framework into your Xcode project.

Swift Package Manager

The Swift Package Manager is a tool for automating the distribution of Swift code and is integrated into the swift compiler.

Once you have your Swift package set up, adding IdylleClient as a dependency is as easy as adding it to the dependencies value of your Package.swift.

dependencies: [
    .package(url: "https://github.com/Digipolitan/idylle-client-swift.git", from: "1.0.0")
]

Contributing

See CONTRIBUTING.md for more details!

This project adheres to the Contributor Covenant Code of Conduct.
By participating, you are expected to uphold this code. Please report
unacceptable behavior to [email protected].

License

IdylleClient is licensed under the BSD 3-Clause license.

Latest podspec

{
    "name": "IdylleClient",
    "version": "1.0.5",
    "summary": "Idylle client helper",
    "homepage": "https://github.com/Digipolitan/idylle-client-swift",
    "authors": "Digipolitan",
    "source": {
        "git": "https://github.com/Digipolitan/idylle-client-swift.git",
        "tag": "v1.0.5"
    },
    "license": {
        "type": "BSD",
        "file": "LICENSE"
    },
    "source_files": "Sources/**/*.{swift,h}",
    "platforms": {
        "ios": "8.0",
        "watchos": "2.0",
        "tvos": "9.0",
        "osx": "10.10"
    },
    "requires_arc": true,
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This